package jPDFOptimizerSamples;

import java.util.Vector;

import com.qoppa.pdfOptimizer.ImageHandler;
import com.qoppa.pdfOptimizer.ImageInfo;
import com.qoppa.pdfOptimizer.ImageOutput;

public class CompositeImageHandler implements ImageHandler
{
	private Vector m_ImageHandlers;

	public CompositeImageHandler(Vector imageHandlers)
	{
		m_ImageHandlers = imageHandlers;
	}

	public ImageOutput convertImage(ImageInfo imageInfo)
	{
		for (int i = 0; i < m_ImageHandlers.size(); i++)
		{
			ImageHandler handler = (ImageHandler) m_ImageHandlers.get(i);
			ImageOutput output = handler.convertImage(imageInfo);
			if (output != null)
			{
				return output;
			}
		}
		return null;
	}
	
	public Vector getImageHandlers()
	{
		return m_ImageHandlers;
	}
}
