package jPDFOptimizerSamples;

import java.awt.Dimension;
import java.awt.Font;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPopupMenu;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class HelpButton extends JButton implements ActionListener
{
	private HelpPopup m_HPopup;

	public HelpButton() 
	{
		super();
		setText("?");
		setMargin(new Insets(0,0,0,0));
		addActionListener(this);
		setFocusPainted(false);
		setFocusable(false);

		m_HPopup = new HelpPopup ();
	}
	
	public HelpButton(String helpText)
	{
		this();
		setHelpText(helpText);
	}
	
	public void actionPerformed (ActionEvent ae)
	{
		m_HPopup.show (this, getWidth(), 0);
	}
	
	public void setHelpText (String helpText)
	{
		m_HPopup.setText (helpText);
	}
	
	public boolean isFocusTraversable()
	{
		return false;
	}

	public class HelpPopup extends JPopupMenu
	{
		private JTextArea m_TextArea;
		
		public HelpPopup()
		{
			super();
			
			// Create and add JScrollPane
			JScrollPane jspText = new JScrollPane();
			jspText.setPreferredSize(new Dimension((int)(150 * SampleUtil.getDPIScalingMultiplier()), (int)(160 * SampleUtil.getDPIScalingMultiplier())));
			jspText.setSize((int)(150 * SampleUtil.getDPIScalingMultiplier()), (int)(160 * SampleUtil.getDPIScalingMultiplier()));
			jspText.getVerticalScrollBar().getPreferredSize();
			jspText.getVerticalScrollBar().setPreferredSize (new Dimension ((int)(12 * SampleUtil.getDPIScalingMultiplier()), (int)(10 * SampleUtil.getDPIScalingMultiplier())));
			add (jspText);
			
			// Create text area
			m_TextArea = new JTextArea ();
			m_TextArea.setWrapStyleWord(true);
			m_TextArea.setLineWrap(true);
			m_TextArea.setFont(new Font ("Lucida Sans Bright", Font.PLAIN, (int)SampleUtil.getScaledFont(m_TextArea.getFont().getSize(), 10)));
			m_TextArea.setEditable(false);
			jspText.setViewportView(m_TextArea);
		}
		
		public void setText (String text)
		{
			m_TextArea.setText (text);
		}
		
		public void setFontSize (int fontSize)
		{
			m_TextArea.setFont (getFont().deriveFont((float)fontSize));
		}
	}
}

