package jPDFOptimizerSamples;

import java.io.FileOutputStream;

import com.qoppa.pdfOptimizer.AuditResults;
import com.qoppa.pdfOptimizer.PDFOptimizer;
/** 
 * This sample shows how to open an existing PDF file, run an audit on it 
 * and output the audit results to an xml files that returns objects present
 * in the document (such as images, links, bookmarks, content streams) and their size. 
 *
 */
public class SimpleAudit
{
	public static void main (String [] args)
    {
        try
        {
            // Load a document
            PDFOptimizer pdfOptimize = new PDFOptimizer("C:\\test\\myfile.pdf", null);
            
            // Audit the document
            AuditResults auditResults = pdfOptimize.audit();
            
            // Write the audit results to a file
            FileOutputStream auditOut = new FileOutputStream("C:\\test\\myfile_audit.xml");
            auditResults.writeXml(auditOut);
            auditOut.flush();
            auditOut.close();
        }
        catch (Throwable t)
        {
            t.printStackTrace();
        }

        // indicate that the file is done writing
        System.out.print("Done!");
    }
}
